import * as z from 'zod';
// prettier-ignore
export const PdfFileInputSchema = z.object({
    id: z.number().int(),
    filename: z.string(),
    pdfData: z.instanceof(Uint8Array),
    uploadedAt: z.date(),
    groupId: z.number().int(),
    group: z.unknown()
}).strict();

export type PdfFileInputType = z.infer<typeof PdfFileInputSchema>;
